Printago API
POST
/v1/printer-commands/send
Send command to printers
Request Body
Printer IDs and command to send
SendCommandRequest
commandrequired
object
Variant 1SetSlotInfoCommand
commandrequired
"set-slot-info"
inforequired
object
amsIdoptional
number
coloroptional
string
identifieroptional
string
nozzleTempMaxrequired
number
nozzleTempMinrequired
number
slotIdrequired
number
trayTyperequired
string
Variant 2object
commandrequired
"stop"
Variant 3object
commandrequired
"pause"
Variant 4object
commandrequired
"resume"
Variant 5object
commandrequired
"resync-data"
Variant 6object
commandrequired
"unload-filament"
Variant 7object
commandrequired
"load-filament"
currentTemprequired
number
min: 0max: 300
targetSlotrequired
object
Visual slot position for material mapping in print commands
amsIndexrequired
number
slotIndexrequired
number
targetTemprequired
number
min: 0max: 300
Variant 8object
commandrequired
"led-control"
refrequired
string
Light component ref: "light_chamber", "light_work"
staterequired
"off" | "on"
offon
Variant 9object
commandrequired
"set-temperature"
refrequired
string
Component ref: "nozzle_0", "bed_0", "chamber_0"
temperaturerequired
number
min: 0max: 300
Variant 10object
commandrequired
"select-tool"
refrequired
string
Tool or nozzle ref: "tool_0", "nozzle_0"
Variant 11object
axesrequired
object
xoptional
boolean
yoptional
boolean
zoptional
boolean
commandrequired
"home-axis"
Variant 12object
axesrequired
object
eoptional
number
min: -100max: 100
xoptional
number
min: -100max: 100
yoptional
number
min: -100max: 100
zoptional
number
min: -100max: 100
commandrequired
"move-axis"
Variant 13object
commandrequired
"set-fan"
refrequired
string
Fan component ref: "fan_part", "fan_aux", "fan_chamber"
speedrequired
number
min: 0max: 100
Variant 14object
amountrequired
number
commandrequired
"extrude-filament"
refoptional
string
Nozzle ref, defaults to active nozzle if omitted
Variant 15object
commandrequired
"calibration"
option_valuerequired
number
Variant 16object
amsIdrequired
number
commandrequired
"refresh-slot"
slotIdrequired
number
Variant 17object
commandrequired
"skip-objects"
objectIdsrequired
number[]
idsrequired
string[]
Example Request
application/json
{
"command": {
"command": "set-slot-info",
"info": {
"amsId": 1,
"slotId": 1,
"identifier": "string",
"color": "string",
"nozzleTempMin": 1,
"nozzleTempMax": 1,
"trayType": "string"
}
},
"ids": [
"string"
]
}
Response Schema
Response
value
string[]
Example Response
201 OK — application/json
[
"string"
]